@echo off
SETLOCAL

echo.
echo =============================================
echo = SZIP library                              =
echo =============================================

rmdir /S /Q szip-2.0
del /F ..\RadarVolumeExplorer\lib\szlib.lib

7za.exe x -y szip-2.0.tar.gz
7za.exe x -y szip-2.0.tar
del /F szip-2.0.tar

copy /Y szip-2.0.pro .\szip-2.0\src\
cd szip-2.0\windows
..\..\7za.exe x -y szipproj.zip
cd ..
copy /Y windows\szip\src\SZconfig.h src
cd src

echo ===== Compiling SZIP

qmake szip-2.0.pro
nmake
if %ERRORLEVEL% neq 0 goto ERROR

cd ..
cd ..

:ERROR
echo ===== Finished SZIP
